using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Petlja_1
{
    class Program
    {
        static void Main(string[] args)
        {
            long suma = long.Parse(Console.ReadLine()); //42
            List<long> novcanice = new List<long>();
            long trenutnaNovcanica = -1; // formula d*10^k  d123 k123
            long d = 1;
            long k = 0;
            while (trenutnaNovcanica <= suma)
            {
                trenutnaNovcanica = d * (long)Math.Pow(10, k);
                novcanice.Add(trenutnaNovcanica);
                if (d == 1)
                {
                    d = 2;
                    continue;
                }
                if (d == 2)
                {
                    d = 5;
                    continue;
                }
                if (d == 5)
                {
                    d = 1;
                    k++;
                }
            }
            if (novcanice[novcanice.Count - 1] > suma)//opt?
            {
                novcanice.RemoveAt(novcanice.Count - 1);
            }
            long trenutniBroj = 0;
            long brojNovcanica = 0;
            while (trenutniBroj != suma)
            {
                long maxNovcanica = novcanice.Max();
                if (trenutniBroj + maxNovcanica < suma)
                {
                    trenutniBroj += maxNovcanica;
                    brojNovcanica++;
                }
                else if (trenutniBroj + maxNovcanica == suma)
                {
                    brojNovcanica++;
                    break;
                }
                else
                {
                    novcanice.Remove(maxNovcanica);
                }
            }
            Console.WriteLine(brojNovcanica);
        }
    }
}
/*
42
3

121412181214
16
*/